GET /api/v3/account/digest/actual/monthly

Retrieves rolled up actual billing data by account for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes commodity level break up.

GetAccountActualMonthlyListV3 Permissions: Accounts (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to 24 months integer (int32) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

AccountDigestActualMonthlyResponse
Property Description Type
accountCode The account code string
accountId The account identifier integer (int32)
accountInfo The account info string
commodities An array of monthly data per commodity AccountDigestActualMonthlyResponse+CommodityData[]
AccountDigestActualMonthlyResponse+CommodityData properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of commodity monthly data AccountDigestActualMonthlyResponse+CommodityResults[]
AccountDigestActualMonthlyResponse+CommodityResults properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
commonUse Common Use number (double)
commonUseUnitCost Common Use Unit Cost number (double)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
periodName Calendar Period Name string
totalCost Total Cost number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of monthly data AccountDigestActualMonthlyResponse+Results[]
AccountDigestActualMonthlyResponse+Results properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
periodName Calendar Period Name string
totalCost Total Cost number (double)
updated The date and time the data was updated string (date-time)
Example Response application/json
[
  {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "commodities": [
      {      "commodityCode": "string",      "commodityId": 1,      "commodityInfo": "string",      "commonUseUnit": {},      "costUnit": {},      "results": []
    }
    ],    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "globalUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "results": [
      {      "calendarPeriod": 1,      "calendarYear": 1,      "fiscalPeriod": 1,      "fiscalYear": 1,      "globalUse": 1.0,      "globalUseUnitCost": 1.0,      "periodName": "string",      "totalCost": 1.0
    }
    ],    "updated": "2026-03-30"
  }
]
204 No Content The request succeeded. No content is returned in the response body.